typedef struct
{
        u8      pc[2];
        u8      a;
        u8      x;
        u8      y;
        u8      psw;
        u8      sp;
} SPCReg;

//SPC header structure
typedef struct
{
        s8              fTag[33];                                              //File tag
        s8              tTerm[3];                                              //Tag terminator
        s8              ver;                                                   //Version #/100
        SPCReg  reg;                                                           //SPC Registers
        u16             __r1;
} SPCHdr;

typedef struct {
	u8	APURAM[65536];
	u8	dsp[128];
	u8	unused[64];
	u8	extraRAM[64];
} SPCData;

#define ISLEN	256
typedef struct {
 char game[ISLEN];
 char song[ISLEN];
 char dumper[ISLEN];
 char comments[ISLEN];
 char artist[ISLEN];
 int day,month,year;		// Gregorian calendar.  I think...
 unsigned long length;
 unsigned long fade;
 unsigned long totallength;
 SPCHdr  spcHdr;
 SPCData spcData;
 unsigned char dsp[128];
 unsigned char extraRAM[64];
} SPCINFO;

int LoadSPC(char *fn, SPCINFO *info, void *pAPURAM);
void SetSPC(SPCINFO *info, void *pAPURAM);
void KillSPC(SPCINFO *info);
